Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
yet another nvidia beta driver release, 180.11
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
kmare
l33t
l33t


Joined: 20 Nov 2004
Posts: 619
Location: Thessaloniki, Greece

PostPosted: Wed Dec 03, 2008 1:26 am    Post subject: yet another nvidia beta driver release, 180.11 Reply with quote

things are really looking good now with the new 180 series. Here's the latest beta 11:

http://www.nvnews.net/vbulletin/showthread.php?t=124059

Release Highlights:

* Added support for the following new GPUs:
o GeForce 9400M
* Fixed font corruption on GeForce 6 and 7 series GPUs when the GlyphCache setting is enabled.
* Fixed a memory leak problem when the GlyphCache setting is enabled.
* Added support for GVO full-range color.
* Fixed a problem parsing the monitor sync range X config file options.
* Improved VDPAU error detection and reporting.
* Improved VDPAU support for some video bitstreams.

working great here....
_________________
Never argue with an idiot. They will only pull you down to their level, then beat you with experience.
Back to top
View user's profile Send private message
andreyu
n00b
n00b


Joined: 28 Mar 2006
Posts: 25
Location: Belarus

PostPosted: Wed Dec 03, 2008 8:59 am    Post subject: Reply with quote

Do you have ebuild for this version? Is this driver works with gentoo-kernel 2.6.27-r4?
_________________
Regards, _Andrey_
http://www.wegroup.org
Back to top
View user's profile Send private message
kmare
l33t
l33t


Joined: 20 Nov 2004
Posts: 619
Location: Thessaloniki, Greece

PostPosted: Wed Dec 03, 2008 10:26 am    Post subject: Reply with quote

well.. i just renamed/edited the 177.80 ebuild in portage. These drivers are really working great on my 7800GTX, no bugs whatsoever. And yes, i'm using kernel 2.6.27-r4. As far as i know they're supposed to be working fine on the the .28 prerelease series as well, but i didn't test them yet.
_________________
Never argue with an idiot. They will only pull you down to their level, then beat you with experience.
Back to top
View user's profile Send private message
Schwinni
Apprentice
Apprentice


Joined: 02 Sep 2004
Posts: 214
Location: quadrant1.earth. germany.wuerzburg

PostPosted: Wed Dec 03, 2008 11:18 am    Post subject: Reply with quote

x11-drivers/nvidia-drivers/nvidia-drivers-180.11.ebuild:
Code:
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/x11-drivers/nvidia-drivers/nvidia-drivers-177.80.ebuild,v 1.1 2008/10/13 00:35:38 ricmm Exp $

inherit eutils multilib versionator linux-mod flag-o-matic nvidia-driver

X86_NV_PACKAGE="NVIDIA-Linux-x86-${PV}"
AMD64_NV_PACKAGE="NVIDIA-Linux-x86_64-${PV}"
X86_FBSD_NV_PACKAGE="NVIDIA-FreeBSD-x86-${PV}"

DESCRIPTION="NVIDIA X11 driver and GLX libraries"
HOMEPAGE="http://www.nvidia.com/"
SRC_URI="x86? ( ftp://download.nvidia.com/XFree86/Linux-x86/${PV}/${X86_NV_PACKAGE}-pkg0.run )
    amd64? ( ftp://download.nvidia.com/XFree86/Linux-x86_64/${PV}/${AMD64_NV_PACKAGE}-pkg2.run )
    x86-fbsd? ( ftp://download.nvidia.com/freebsd/${PV}/${X86_FBSD_NV_PACKAGE}.tar.gz )"

LICENSE="NVIDIA"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86 ~x86-fbsd"
IUSE="acpi custom-cflags gtk multilib kernel_linux vdpau"
RESTRICT="strip"
EMULTILIB_PKG="true"

COMMON="x11-base/xorg-server
   multilib? ( app-emulation/emul-linux-x86-xlibs )
   kernel_FreeBSD? ( !media-video/nvidia-freebsd )
   !app-emulation/emul-linux-x86-nvidia
   !x11-drivers/nvidia-legacy-drivers"
DEPEND="${COMMON}
   kernel_linux? ( virtual/linux-sources )
   app-admin/eselect-opengl"
RDEPEND="${COMMON}
   kernel_linux? ( virtual/modutils )
   media-libs/mesa
   acpi? ( sys-power/acpid )"
PDEPEND="gtk? ( media-video/nvidia-settings )"

QA_TEXTRELS_x86="usr/lib/libXvMCNVIDIA.so.${PV}
   usr/lib/opengl/nvidia/no-tls/libnvidia-tls.so.${PV}
   usr/lib/opengl/nvidia/tls/libnvidia-tls.so.${PV}
   usr/lib/opengl/nvidia/lib/libGL.so.${PV}
   usr/lib/opengl/nvidia/lib/libnvidia-cfg.so.${PV}
   usr/lib/opengl/nvidia/lib/libGLcore.so.${PV}
   usr/lib/opengl/nvidia/extensions/libglx.so
   usr/lib/xorg/modules/drivers/nvidia_drv.so
   usr/lib/libcuda.so.${PV}"

QA_TEXTRELS_x86_fbsd="boot/modules/nvidia.ko
   usr/lib/opengl/nvidia/lib/libGL.so.1
   usr/lib/opengl/nvidia/lib/libGLcore.so.1
   usr/lib/opengl/nvidia/lib/libnvidia-cfg.so.1
   usr/lib/opengl/nvidia/no-tls/libnvidia-tls.so.1
   usr/lib/opengl/nvidia/extensions/libglx.so
   usr/lib/xorg/modules/drivers/nvidia_drv.so"

QA_TEXTRELS_amd64="usr/lib32/opengl/nvidia/tls/libnvidia-tls.so.${PV}
   usr/lib32/opengl/nvidia/no-tls/libnvidia-tls.so.${PV}
   usr/lib32/opengl/nvidia/lib/libGLcore.so.${PV}
   usr/lib32/opengl/nvidia/lib/libGL.so.${PV}
   usr/lib32/opengl/nvidia/lib/libnvidia-cfg.so.${PV}
   usr/lib32/libcuda.so.${PV}"

QA_EXECSTACK_x86="usr/lib/opengl/nvidia/lib/libGL.so.${PV}
   usr/lib/opengl/nvidia/lib/libGLcore.so.${PV}
   usr/lib/opengl/nvidia/extensions/libglx.so"

QA_EXECSTACK_amd64="usr/lib32/opengl/nvidia/lib/libGLcore.so.${PV}
   usr/lib32/opengl/nvidia/lib/libGL.so.${PV}
   usr/lib64/xorg/modules/drivers/nvidia_drv.so
   usr/lib64/libXvMCNVIDIA.so.${PV}
   usr/lib64/opengl/nvidia/tls/libnvidia-tls.so.${PV}
   usr/lib64/opengl/nvidia/no-tls/libnvidia-tls.so.${PV}
   usr/lib64/opengl/nvidia/lib/libGLcore.so.${PV}
   usr/lib64/opengl/nvidia/lib/libGL.so.${PV}
   usr/lib64/opengl/nvidia/lib/libnvidia-cfg.so.${PV}
   usr/lib64/opengl/nvidia/extensions/libglx.so
   usr/bin/nvidia-xconfig"

QA_WX_LOAD_x86="usr/lib/opengl/nvidia/lib/libGLcore.so.${PV}
   usr/lib/opengl/nvidia/lib/libGL.so.${PV}
   usr/lib/opengl/nvidia/extensions/libglx.so"

QA_WX_LOAD_amd64="usr/lib32/opengl/nvidia/lib/libGLcore.so.${PV}
   usr/lib32/opengl/nvidia/lib/libGL.so.${PV}
   usr/lib64/opengl/nvidia/lib/libGLcore.so.${PV}
   usr/lib64/opengl/nvidia/lib/libGL.so.${PV}
   usr/lib64/opengl/nvidia/extensions/libglx.so"

if use x86; then
   PKG_V="-pkg0"
   NV_PACKAGE="${X86_NV_PACKAGE}"
elif use amd64; then
   PKG_V="-pkg2"
   NV_PACKAGE="${AMD64_NV_PACKAGE}"
elif use x86-fbsd; then
   PKG_V=""
   NV_PACKAGE="${X86_FBSD_NV_PACKAGE}"
fi

S="${WORKDIR}/${NV_PACKAGE}${PKG_V}"

mtrr_check() {
   ebegin "Checking for MTRR support"
   linux_chkconfig_present MTRR
   eend $?

   if [[ $? -ne 0 ]] ; then
      eerror "Please enable MTRR support in your kernel config, found at:"
      eerror
      eerror "  Processor type and features"
      eerror "    [*] MTRR (Memory Type Range Register) support"
      eerror
      eerror "and recompile your kernel ..."
      die "MTRR support not detected!"
   fi
}

paravirt_check() {
   ebegin "Checking for Paravirtualized guest support"
   linux_chkconfig_present PARAVIRT

   if [[ $? -eq 0 ]]; then
      eerror "Please disable PARAVIRT in your kernel config, found at:"
      eerror
      eerror "  Processor type and features"
      eerror "    [*] Paravirtualized guest support"
      eerror
      eerror "or XEN support"
      eerror
      eerror "and recompile your kernel .."
      die "PARAVIRT support detected!"
   fi
}

pkg_setup() {
   # try to turn off distcc and ccache for people that have a problem with it
   export DISTCC_DISABLE=1
   export CCACHE_DISABLE=1

   if use amd64 && has_multilib_profile && [ "${DEFAULT_ABI}" != "amd64" ]; then
      eerror "This ebuild doesn't currently support changing your default abi."
      die "Unexpected \${DEFAULT_ABI} = ${DEFAULT_ABI}"
   fi

   if use kernel_linux; then
      linux-mod_pkg_setup
      MODULE_NAMES="nvidia(video:${S}/usr/src/nv)"
      BUILD_PARAMS="IGNORE_CC_MISMATCH=yes V=1 SYSSRC=${KV_DIR} \
      SYSOUT=${KV_OUT_DIR} HOST_CC=$(tc-getBUILD_CC)"
      mtrr_check
      paravirt_check
   fi

   # On BSD userland it wants real make command
   use userland_BSD && MAKE="$(get_bmake)"

   export _POSIX2_VERSION="199209"

   # Since Nvidia ships 3 different series of drivers, we need to give the user
   # some kind of guidance as to what version they should install. This tries
   # to point the user in the right direction but can't be perfect. check
   # nvidia-driver.eclass
   nvidia-driver-check-warning

   # set variables to where files are in the package structure
   if use kernel_FreeBSD; then
      NV_DOC="${S}/doc"
      NV_EXEC="${S}/obj"
      NV_SRC="${S}/src"
   elif use kernel_linux; then
      NV_DOC="${S}/usr/share/doc"
      NV_EXEC="${S}/usr/bin"
      NV_SRC="${S}/usr/src/nv"
   else
      die "Could not determine proper NVIDIA package"
   fi
}

src_unpack() {
   if use kernel_linux && kernel_is lt 2 6 7; then
      echo
      ewarn "Your kernel version is ${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}"
      ewarn "This is not officially supported for ${P}. It is likely you"
      ewarn "will not be able to compile or use the kernel module."
      ewarn "It is recommended that you upgrade your kernel to a version >= 2.6.7"
      echo
      ewarn "DO NOT file bug reports for kernel versions less than 2.6.7 as they will be ignored."
   fi

   if ! use x86-fbsd; then
      cd "${WORKDIR}"
      bash "${DISTDIR}"/${NV_PACKAGE}${PKG_V}.run --extract-only
   else
      unpack ${A}
   fi

   # Patches go below here, add brief description
   cd "${S}"
   use x86-fbsd && cd doc

   # Use the correct defines to make gtkglext build work
   epatch "${FILESDIR}"/NVIDIA_glx-defines.patch
   # Use some more sensible gl headers and make way for new glext.h
   epatch "${FILESDIR}"/NVIDIA_glx-glheader.patch

   # allow on board sensors to work with lm_sensors
   if use kernel_linux; then
      epatch "${FILESDIR}"/NVIDIA_i2c-hwmon.patch
   fi

   if use kernel_linux; then
      # Quiet down warnings the user does not need to see
      sed -i \
         -e 's:-Wpointer-arith::g' \
         -e 's:-Wsign-compare::g' \
         "${NV_SRC}"/Makefile.kbuild

      # If you set this then it's your own fault when stuff breaks :)
      use custom-cflags && sed -i "s:-O:${CFLAGS}:" Makefile.*

      # If greater than 2.6.5 use M= instead of SUBDIR=
      convert_to_m "${NV_SRC}"/Makefile.kbuild
   fi
}

src_compile() {
   # This is already the default on Linux, as there's no toplevel Makefile, but
   # on FreeBSD there's one and triggers the kernel module build, as we install
   # it by itself, pass this.

   cd "${NV_SRC}"
   if use x86-fbsd; then
      MAKE="$(get_bmake)" CFLAGS="-Wno-sign-compare" emake CC="$(tc-getCC)" \
         LD="$(tc-getLD)" LDFLAGS="$(raw-ldflags)" || die
   elif use kernel_linux; then
      linux-mod_src_compile
   fi
}

src_install() {
   local MLTEST=$(type dyn_unpack)

   cd "${S}"

   if use kernel_linux; then
      linux-mod_src_install

      VIDEOGROUP="$(egetent group video | cut -d ':' -f 3)"
      if [ -z "$VIDEOGROUP" ]; then
         eerror "Failed to determine the video group gid."
         die "Failed to determine the video group gid."
      fi

      # Add the aliases
      [ -f "${FILESDIR}/nvidia" ] || die "nvidia missing in FILESDIR"
      sed -e 's:PACKAGE:'${PF}':g' \
         -e 's:VIDEOGID:'${VIDEOGROUP}':' "${FILESDIR}"/nvidia-169.07 > \
         "${WORKDIR}"/nvidia
      insinto /etc/modprobe.d
      doins "${WORKDIR}"/nvidia || die
   elif use x86-fbsd; then
      insinto /boot/modules
      doins "${WORKDIR}/${NV_PACKAGE}/src/nvidia.kld" || die

      exeinto /boot/modules
      doexe "${WORKDIR}/${NV_PACKAGE}/src/nvidia.ko" || die
   fi

   if has_multilib_profile ; then
      local OABI=${ABI}
      for ABI in $(get_install_abis) ; do
         src_install-libs
      done
      ABI=${OABI}
      unset OABI
   elif use amd64 ; then
      src_install-libs lib32 $(get_multilibdir)
      src_install-libs lib $(get_libdir)

      rm -rf "${D}"/usr/$(get_multilibdir)/opengl/nvidia/include
      rm -rf "${D}"/usr/$(get_multilibdir)/opengl/nvidia/extensions
   else
      src_install-libs
   fi

   is_final_abi || return 0

   # Documentation
   dodoc "${NV_DOC}"/{XF86Config.sample,Copyrights}
   dohtml "${NV_DOC}"/html/*
   if use x86-fbsd; then
      dodoc "${NV_DOC}/README"
   else
      # Docs
      newdoc "${NV_DOC}/README.txt" README
      dodoc "${NV_DOC}/NVIDIA_Changelog"
   fi

   # Helper Apps
   dobin ${NV_EXEC}/nvidia-xconfig || die
   dobin ${NV_EXEC}/nvidia-bug-report.sh || die
}

# Install nvidia library:
# the first parameter is the place where to install it
# the second parameter is the base name of the library
# the third parameter is the provided soversion
donvidia() {
   dodir $1
   exeinto $1

   libname=$(basename $2)

   # libnvidia-cfg.so is no longer supplied in lib32; step over it gracefully
   if [ -e $2.$3 ] ; then
      doexe $2.$3
      dosym ${libname}.$3 $1/${libname}
      [[ $3 != "1" ]] && dosym ${libname}.$3 $1/${libname}.1
   fi
}

src_install-libs() {
   local pkglibdir=lib
   local inslibdir=$(get_libdir)

   if [[ ${#} -eq 2 ]] ; then
      pkglibdir=${1}
      inslibdir=${2}
   elif has_multilib_profile && [[ ${ABI} == "x86" ]] ; then
      pkglibdir=lib32
   fi

   local usrpkglibdir=usr/${pkglibdir}
   local libdir=usr/X11R6/${pkglibdir}
   local drvdir=${libdir}/modules/drivers
   local extdir=${libdir}/modules/extensions
   local incdir=usr/include/GL
   local sover=${PV}
   local NV_ROOT="/usr/${inslibdir}/opengl/nvidia"
   local NO_TLS_ROOT="${NV_ROOT}/no-tls"
   local TLS_ROOT="${NV_ROOT}/tls"
   local X11_LIB_DIR="/usr/${inslibdir}/xorg"

   if use x86-fbsd; then
      # on FreeBSD everything is on obj/
      pkglibdir=obj
      usrpkglibdir=obj
      x11pkglibdir=obj
      drvdir=obj
      extdir=obj

      # don't ask me why the headers are there.. glxext.h is missing
      incdir=doc

      # on FreeBSD it has just .1 suffix
      sover=1
   fi

   # The GLX libraries
   donvidia ${NV_ROOT}/lib ${usrpkglibdir}/libGL.so ${sover}
   donvidia ${NV_ROOT}/lib ${usrpkglibdir}/libGLcore.so ${sover}

   donvidia ${NV_ROOT}/lib ${usrpkglibdir}/libnvidia-cfg.so ${sover}

   dodir ${NO_TLS_ROOT}
   donvidia ${NO_TLS_ROOT} ${usrpkglibdir}/libnvidia-tls.so ${sover}

   if ! use x86-fbsd; then
      donvidia ${TLS_ROOT} ${usrpkglibdir}/tls/libnvidia-tls.so ${sover}
   fi

   if want_tls ; then
      dosym ../tls/libnvidia-tls.so ${NV_ROOT}/lib
      dosym ../tls/libnvidia-tls.so.1 ${NV_ROOT}/lib
      dosym ../tls/libnvidia-tls.so.${sover} ${NV_ROOT}/lib
   else
      dosym ../no-tls/libnvidia-tls.so ${NV_ROOT}/lib
      dosym ../no-tls/libnvidia-tls.so.1 ${NV_ROOT}/lib
      dosym ../no-tls/libnvidia-tls.so.${sover} ${NV_ROOT}/lib
   fi

   if ! use x86-fbsd; then
      # Install the .la file for libtool, to prevent e.g. bug #176423
      [ -f "${FILESDIR}/libGL.la-r2" ] || die "libGL.la-r2 missing in FILESDIR"
      local ver1=$(get_version_component_range 1)
      local ver2=$(get_version_component_range 2)
      local ver3=$(get_version_component_range 3)
      sed -e "s:\${PV}:${PV}:"     \
         -e "s:\${ver1}:${ver1}:" \
         -e "s:\${ver2}:${ver2}:" \
         -e "s:\${ver3}:${ver3}:" \
         -e "s:\${libdir}:${inslibdir}:" \
         "${FILESDIR}"/libGL.la-r2 > "${D}"/${NV_ROOT}/lib/libGL.la
   fi

   exeinto ${X11_LIB_DIR}/modules/drivers

   [[ -f ${drvdir}/nvidia_drv.so ]] && \
      doexe ${drvdir}/nvidia_drv.so

   insinto /usr/${inslibdir}
   [[ -f ${libdir}/libXvMCNVIDIA.a ]] && \
      doins ${libdir}/libXvMCNVIDIA.a
   exeinto /usr/${inslibdir}
   # fix Bug 131315
   [[ -f ${libdir}/libXvMCNVIDIA.so.${PV} ]] && \
      doexe ${libdir}/libXvMCNVIDIA.so.${PV} && \
      dosym libXvMCNVIDIA.so.${PV} \
         /usr/${inslibdir}/libXvMCNVIDIA.so

   exeinto ${NV_ROOT}/extensions
   [[ -f ${libdir}/modules/libnvidia-wfb.so.${sover} ]] && \
      newexe ${libdir}/modules/libnvidia-wfb.so.${sover} libwfb.so
   [[ -f ${extdir}/libglx.so.${sover} ]] && \
      newexe ${extdir}/libglx.so.${sover} libglx.so

   # Includes
   insinto ${NV_ROOT}/include
   doins ${incdir}/*.h

   #cuda
   if [[ -f usr/include/cuda/cuda.h ]]; then
      dodir /usr/include/cuda
      insinto /usr/include/cuda
      doins usr/include/cuda/*.h

      if [[ -f usr/${pkglibdir}/libcuda.so.${PV} ]]; then
         dolib.so usr/${pkglibdir}/libcuda.so.${PV}
         dosym libcuda.so.${PV} /usr/${inslibdir}/libcuda.so.1
         dosym libcuda.so.1 /usr/${inslibdir}/libcuda.so
      fi
   fi

   #vdpau
   if use vdpau ; then
      if [[ -f usr/include/vdpau/vdpau.h ]]; then
         dodir /usr/include/vdpau
         insinto /usr/include/vdpau
         doins usr/include/vdpau/*.h

         for vdpau_lib in libvdpau_nvidia.so libvdpau.so libvdpau_trace.so; do
            if [[ -f usr/${pkglibdir}/${vdpau_lib}.${PV} ]]; then
               dolib.so usr/${pkglibdir}/${vdpau_lib}.${PV}
               dosym ${vdpau_lib}.${PV} /usr/${inslibdir}/${vdpau_lib}.1   
               dosym ${vdpau_lib}.1 /usr/${inslibdir}/${vdpau_lib}
            fi
         done
      fi
   fi
}

pkg_preinst() {

   # Clean the dynamic libGL stuff's home to ensure
   # we dont have stale libs floating around
   if [ -d "${ROOT}"/usr/lib/opengl/nvidia ] ; then
      rm -rf "${ROOT}"/usr/lib/opengl/nvidia/*
   fi
   # Make sure we nuke the old nvidia-glx's env.d file
   if [ -e "${ROOT}"/etc/env.d/09nvidia ] ; then
      rm -f "${ROOT}"/etc/env.d/09nvidia
   fi
}

pkg_postinst() {
   if use kernel_linux; then
      linux-mod_pkg_postinst
   fi

   # Switch to the nvidia implementation
   eselect opengl set --use-old nvidia

   echo
   elog "You must be in the video group to use the NVIDIA device"
   elog "For more info, read the docs at"
   elog "http://www.gentoo.org/doc/en/nvidia-guide.xml#doc_chap3_sect6"
   elog

   elog "This ebuild installs a kernel module and X driver. Both must"
   elog "match explicitly in their version. This means, if you restart"
   elog "X, you most modprobe -r nvidia before starting it back up"
   elog

   elog "To use the NVIDIA GLX, run \"eselect opengl set nvidia\""
   elog
   elog "nVidia has requested that any bug reports submitted have the"
   elog "output of /usr/bin/nvidia-bug-report.sh included."
   elog
   elog "To work with compiz, you must enable the AddARGBGLXVisuals option."
   elog
   elog "If you are having resolution problems, try disabling DynamicTwinView."
   echo
}

want_tls() {
   # For uclibc or anything non glibc, return false
   has_version sys-libs/glibc || return 1

   # Old versions of glibc were lt/no-tls only
   has_version '<sys-libs/glibc-2.3.2' && return 1

   if use x86 ; then
      case ${CHOST/-*} in
         i486|i586|i686) ;;
         *) return 1 ;;
      esac
   fi

   # If we've got nptl, we've got tls
   built_with_use --missing true sys-libs/glibc nptl && return 0

   # 2.3.5 turned off tls for linuxthreads glibc on i486 and i586
   if use x86 && has_version '>=sys-libs/glibc-2.3.5' ; then
      case ${CHOST/-*} in
         i486|i586) return 1 ;;
      esac
   fi

   # These versions built linuxthreads version to support tls, too
   has_version '>=sys-libs/glibc-2.3.4.20040619-r2' && return 0

   return 1
}

pkg_postrm() {
   if use kernel_linux; then
      linux-mod_pkg_postrm
   fi
   eselect opengl set --use-old xorg-x11
}


media-video/nvidia-settings/nvidia-settings-180.11.ebuild:
Code:
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-video/nvidia-settings/nvidia-settings-177.80.ebuild,v 1.1 2008/10/13 00:40:38 ricmm Exp $

inherit eutils toolchain-funcs multilib

MY_P="${PN}-1.0"

DESCRIPTION="NVIDIA Linux X11 Settings Utility"
HOMEPAGE="http://www.nvidia.com/"
SRC_URI="ftp://download.nvidia.com/XFree86/${PN}/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86 ~x86-fbsd"
IUSE=""

# xorg-server is used in the depends as nvidia-settings builds against some
# headers in /usr/include/xorg/.
# This also allows us to optimize out a lot of the other dependancies, as
# between gtk and xorg-server, almost all libraries and headers are accounted
# for.
DEPEND=">=x11-libs/gtk+-2
   dev-util/pkgconfig
   x11-base/xorg-server
   x11-libs/libXt
   x11-libs/libXv
   x11-proto/xf86driproto
   x11-proto/xf86vidmodeproto"

RDEPEND=">=x11-libs/gtk+-2
   x11-base/xorg-server
   x11-libs/libXt
   x11-drivers/nvidia-drivers"

S="${WORKDIR}/${MY_P}"

src_compile() {
   einfo "Building libXNVCtrl..."
   cd "${S}/src/libXNVCtrl"
   make clean || die "Cleaning old libXNVCtrl failed"
   emake CDEBUGFLAGS="${CFLAGS}" CC="$(tc-getCC)" libXNVCtrl.a || die "Building libXNVCtrl failed!"

   cd "${S}"
   einfo "Building nVidia-Settings..."
   emake  CC="$(tc-getCC)" || die "Failed to build nvidia-settings"
}

src_install() {
   # Install the executable
   exeinto /usr/bin
   doexe nvidia-settings

   # Install libXNVCtrl and headers
   insinto "/usr/$(get_libdir)"
   doins src/libXNVCtrl/libXNVCtrl.a
   insinto /usr/include/NVCtrl
   doins src/libXNVCtrl/{NVCtrl,NVCtrlLib}.h

   # Install icon and .desktop entry
   doicon "${FILESDIR}/icon/${PN}.png"
   domenu "${FILESDIR}/icon/${PN}.desktop"

   # Install manpage
   doman doc/nvidia-settings.1

   # Now install documentation
   dodoc doc/*.txt
}


Don't forget to set the vdpau use flags if you want the libs to be installed!

Ah yes, in opposite to the 180.08 ebuild, I have added the x86-fbsd arch again.

Best regards,
Chris
Back to top
View user's profile Send private message
andreyu
n00b
n00b


Joined: 28 Mar 2006
Posts: 25
Location: Belarus

PostPosted: Wed Dec 03, 2008 11:25 am    Post subject: Reply with quote

Thank you for reply. I try it later.
_________________
Regards, _Andrey_
http://www.wegroup.org
Back to top
View user's profile Send private message
albright
Advocate
Advocate


Joined: 16 Nov 2003
Posts: 2588
Location: Near Toronto

PostPosted: Wed Dec 03, 2008 12:19 pm    Post subject: Reply with quote

using the ebuild provided above in this thread:

Code:
 * Preparing nvidia module
make -j3 HOSTCC=x86_64-pc-linux-gnu-gcc CROSS_COMPILE=x86_64-pc-linux-gnu- LDFLAGS= IGNORE_CC_MISMATCH=yes V=1 SYSSRC=/usr/src/linux ' '
make: *** No rule to make target ` '.  Stop.
/var/tmp/portage/x11-drivers/nvidia-drivers-180.11/temp/environment: line 2745: clean: command not found
 *
 * ERROR: x11-drivers/nvidia-drivers-180.11 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3721:  Called linux-mod_src_compile
 *             environment, line 2744:  Called die
 * The specific snippet of code:
 *               eval "emake HOSTCC="$(tc-getBUILD_CC)"                                       CROSS_COMPILE=${CHOST}-                                          LDFLAGS="$(get_abi_LDFLAGS)"  ${BUILD_FIXES}                                           ${BUILD_PARAMS}                       ${BUILD_TARGETS} " || die "Unable to emake HOSTCC="$(tc-getBUILD_CC)" CROSS_COMPILE=${CHOST}- LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS}";
 *  The die message:
 *   Unable to emake HOSTCC=x86_64-pc-linux-gnu-gcc CROSS_COMPILE=x86_64-pc-linux-gnu- LDFLAGS=  IGNORE_CC_MISMATCH=yes V=1 SYSSRC=/usr/src/linux
 *        SYSOUT=/lib/modules/2.6.27-gentoo-r4/build HOST_CC=x86_64-pc-linux-gnu-gcc clean module
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-180.11/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-180.11/temp/environment'.
 *

_________________
.... there is nothing - absolutely nothing - half so much worth
doing as simply messing about with Linux ...
(apologies to Kenneth Graeme)
Back to top
View user's profile Send private message
Schwinni
Apprentice
Apprentice


Joined: 02 Sep 2004
Posts: 214
Location: quadrant1.earth. germany.wuerzburg

PostPosted: Wed Dec 03, 2008 7:31 pm    Post subject: Reply with quote

Is your kernel actually built or are just the sources in /usr/src/linux?
Back to top
View user's profile Send private message
albright
Advocate
Advocate


Joined: 16 Nov 2003
Posts: 2588
Location: Near Toronto

PostPosted: Wed Dec 03, 2008 8:00 pm    Post subject: Reply with quote

Quote:
Is your kernel actually built or are just the sources in /usr/src/linux?


it sure is - I have no trouble emerging nvidia drivers in general,
even 180.08 from berkano ... (maybe berkano will update ??)
_________________
.... there is nothing - absolutely nothing - half so much worth
doing as simply messing about with Linux ...
(apologies to Kenneth Graeme)
Back to top
View user's profile Send private message
Schwinni
Apprentice
Apprentice


Joined: 02 Sep 2004
Posts: 214
Location: quadrant1.earth. germany.wuerzburg

PostPosted: Wed Dec 03, 2008 8:07 pm    Post subject: Reply with quote

Have you copied the patches to your local overlay also?
Have you made an digest?
Back to top
View user's profile Send private message
Schwinni
Apprentice
Apprentice


Joined: 02 Sep 2004
Posts: 214
Location: quadrant1.earth. germany.wuerzburg

PostPosted: Wed Dec 03, 2008 8:13 pm    Post subject: Reply with quote

Code:
# pwd
/usr/local/portage/overlays/myoverlay/x11-drivers/nvidia-drivers

# ls -lR
.:
insgesamt 24
drwxr-xr-x 2 root root  4096 14. Nov 23:28 files
-rw-r--r-- 1 root root  3017  3. Dez 12:02 Manifest
-rw-r--r-- 1 root root 15549  3. Dez 12:00 nvidia-drivers-180.11.ebuild

./files:
insgesamt 96
-rw-r--r-- 1 root root    61 14. Nov 23:28 09nvidia
-rw-r--r-- 1 root root   733 14. Nov 23:28 libGL.la-r2
-rw-r--r-- 1 root root  1510 14. Nov 23:28 nvidia
-rw-r--r-- 1 root root   639 14. Nov 23:28 nvidia-169.07
-rw-r--r-- 1 root root   437 14. Nov 23:28 NVIDIA_glx-defines.patch
-rw-r--r-- 1 root root   380 14. Nov 23:28 NVIDIA_glx-glheader.patch
-rw-r--r-- 1 root root   602 14. Nov 23:28 NVIDIA_glx-makefile.patch
-rw-r--r-- 1 root root   669 14. Nov 23:28 NVIDIA_i2c-hwmon.patch
-rw-r--r-- 1 root root 22442 14. Nov 23:28 NVIDIA_kernel-169.12-2286310.diff
-rw-r--r-- 1 root root 17473 14. Nov 23:28 NVIDIA_kernel-173.08-2404825.diff
-rw-r--r-- 1 root root 18598 14. Nov 23:28 NVIDIA_kernel-173.14.05-2419292.diff

Code:
# pwd
/usr/local/portage/overlays/myoverlay/media-video/nvidia-settings

# ls -lR
.:
insgesamt 12
drwxr-xr-x 3 root root 4096 14. Nov 23:59 files
-rw-r--r-- 1 root root 1035  3. Dez 12:11 Manifest
-rw-r--r-- 1 root root 1863  3. Dez 12:11 nvidia-settings-180.11.ebuild

./files:
insgesamt 8
drwxr-xr-x 2 root root 4096 14. Nov 23:59 icon
-rw-r--r-- 1 root root 3365 14. Nov 23:59 nvidia-settings-169.04-no-display.patch

./files/icon:
insgesamt 8
-rw-r--r-- 1 root root  194 14. Nov 23:59 nvidia-settings.desktop
-rw-r--r-- 1 root root 3790 14. Nov 23:59 nvidia-settings.png
Back to top
View user's profile Send private message
darklegion
Guru
Guru


Joined: 14 Nov 2004
Posts: 468

PostPosted: Thu Dec 04, 2008 1:00 am    Post subject: Reply with quote

I'm getting the same error as Schwinni.
Back to top
View user's profile Send private message
darklegion
Guru
Guru


Joined: 14 Nov 2004
Posts: 468

PostPosted: Thu Dec 04, 2008 1:24 am    Post subject: Reply with quote

I tried just copying nvidia-drivers-177.80.ebuild to nvidia-drivers-180.11.ebuild and it installs and works fine.Coolbits (overclocking) doesn't work, X crashes immediatly when Coolbits "1" is enabled.
Back to top
View user's profile Send private message
yngwin
Retired Dev
Retired Dev


Joined: 19 Dec 2002
Posts: 4572
Location: Suzhou, China

PostPosted: Thu Dec 04, 2008 2:13 am    Post subject: Reply with quote

albright wrote:
I have no trouble emerging nvidia drivers in general,
even 180.08 from berkano ... (maybe berkano will update ??)

Berkano overlay is now updated to 180.11. Same as the ebuilds above, except for the vdpau useflag. I assume you want to try vdpau if you try this version, and besides it doesn't hurt to install the headers even when you dont use vdpau.
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
albright
Advocate
Advocate


Joined: 16 Nov 2003
Posts: 2588
Location: Near Toronto

PostPosted: Thu Dec 04, 2008 4:03 am    Post subject: Reply with quote

Quote:
Berkano overlay is now updated to 180.11


As it turned out, before the berkano update, I copied the
berkano 180.08 ebuild to my overlay and renamed it 180.11
and then everything worked fine.
_________________
.... there is nothing - absolutely nothing - half so much worth
doing as simply messing about with Linux ...
(apologies to Kenneth Graeme)
Back to top
View user's profile Send private message
Schwinni
Apprentice
Apprentice


Joined: 02 Sep 2004
Posts: 214
Location: quadrant1.earth. germany.wuerzburg

PostPosted: Thu Dec 04, 2008 8:49 am    Post subject: Reply with quote

darklegion wrote:
I'm getting the same error as Schwinni.

I'm getting no errors. My ebuild works fine here.
Except the vdpau use flag and the if clause on this use flag it shouldn't differ from the ebuild from the Berkano overlay - as yngwin stated correctly.
The introduction of the vdpau use flag for nvidia-drivers makes sense IMHO, because mplayer has this use flag also - and perhaps other packages supporting it will also have this use flag.
If you decide to not use vdpau for any programs, you don't need to install the libs.

That my posted ebuild doesn't work for some people is very strange.
The only reasons I can think of are that the patches are not copied over from the portage tree or that something went wrong when creating the text file.
Which text editor did you use to create the ebuild?
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 8938

PostPosted: Thu Dec 04, 2008 2:38 pm    Post subject: Reply with quote

180.11 finally fixes font rendering problems. I think I can give my recommendations now. :)
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6111
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Thu Dec 04, 2008 7:29 pm    Post subject: Reply with quote

genstorm wrote:
180.11 finally fixes font rendering problems. I think I can give my recommendations now. :)


++

I will give kde4 another try then :)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 8938

PostPosted: Thu Dec 04, 2008 8:07 pm    Post subject: Reply with quote

Fine, though KDE4.x did have usable performance since 177.80. ;) 4.1.81 should be in kde-crazy soon, tarballs have already been uploaded to servers.
Back to top
View user's profile Send private message
ComaWhite
Tux's lil' helper
Tux's lil' helper


Joined: 07 Oct 2008
Posts: 125

PostPosted: Fri Dec 05, 2008 1:52 am    Post subject: Reply with quote

works perfectly for me 180.11 on a 8800GS
Back to top
View user's profile Send private message
Bluespear
Apprentice
Apprentice


Joined: 20 Jul 2005
Posts: 164
Location: Switzerland

PostPosted: Sun Dec 07, 2008 10:12 pm    Post subject: Reply with quote

Wow... what an insane improvement from 177.80 to 180.11 !
Kde4 is now incredibly smooth and fast (plasma) :)
Back to top
View user's profile Send private message
platojones
Veteran
Veteran


Joined: 23 Oct 2002
Posts: 1602
Location: Just over the horizon

PostPosted: Sun Dec 07, 2008 11:45 pm    Post subject: Reply with quote

Has the memory leak been fixed in this version?
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6111
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Mon Dec 08, 2008 12:00 am    Post subject: Reply with quote

platojones wrote:
Has the memory leak been fixed in this version?


seems so :idea:

see: http://www.nvnews.net/vbulletin/showthread.php?t=124148

http://www.nvnews.net/vbulletin/showthread.php?t=123729

and http://www.nvnews.net/vbulletin/showthread.php?t=122948
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
platojones
Veteran
Veteran


Joined: 23 Oct 2002
Posts: 1602
Location: Just over the horizon

PostPosted: Mon Dec 08, 2008 12:29 am    Post subject: Reply with quote

excellent news!
Back to top
View user's profile Send private message
kmare
l33t
l33t


Joined: 20 Nov 2004
Posts: 619
Location: Thessaloniki, Greece

PostPosted: Mon Dec 08, 2008 5:51 am    Post subject: Reply with quote

yeah, i find these drivers, the best i've used in a looooooooong time. I have an uptime of 4 days and everything is still veeeeeery smooth.. No memory leaks and slow downs.. 2D performance is as it should be, 3D as well.. it's like i bought a new pc.. 7800GTX here..

thanx nvidia!
_________________
Never argue with an idiot. They will only pull you down to their level, then beat you with experience.
Back to top
View user's profile Send private message
albright
Advocate
Advocate


Joined: 16 Nov 2003
Posts: 2588
Location: Near Toronto

PostPosted: Mon Dec 08, 2008 1:38 pm    Post subject: Reply with quote

I guess these drivers are OK, but I don't like the way
X crashes suddenly and unpredictably. Last time I
found these messages:

in dmesg:
Code:
NVRM: Xid (0001:00): 6, PE0000 01b4 00949dac 00402770 00909cab 00909cab
NVRM: Xid (0001:00): 13, 0000 80016100 0000008a 00000404 00acb7c4 00004000
NVRM: Xid (0001:00): 6, PE0000 0100 80010200 0000bf90 00000000 006286a9
NVRM: Xid (0001:00): 3, C 00000000 SC 00000006 M 00000194 Data 00000000


Anyone know what these mean (GeForce 6600)?
_________________
.... there is nothing - absolutely nothing - half so much worth
doing as simply messing about with Linux ...
(apologies to Kenneth Graeme)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum